Last Comment Bug 791687 - Remove support for NSIS 2.33
: Remove support for NSIS 2.33
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Installer (show other bugs)
: Trunk
: x86_64 Windows 7
: -- normal (vote)
: Firefox 18
Assigned To: Brian R. Bondy [:bbondy]
:
: Matt Howell [:mhowell]
Mentors:
Depends on: 791019
Blocks: 571381 737833 793773 794071 794495
  Show dependency treegraph
 
Reported: 2012-09-17 07:30 PDT by Brian R. Bondy [:bbondy]
Modified: 2012-09-26 09:10 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
fixed
fixed
fixed


Attachments
Patch v1 (7.40 KB, patch)
2012-09-17 07:33 PDT, Brian R. Bondy [:bbondy]
robert.strong.bugs: review+
Details | Diff | Splinter Review
Patch v2 (8.75 KB, patch)
2012-09-17 10:47 PDT, Brian R. Bondy [:bbondy]
netzen: review+
Details | Diff | Splinter Review

Description User image Brian R. Bondy [:bbondy] 2012-09-17 07:30:18 PDT
All build machines should be upgraded to use NSIS 2.46 now.  This bug is to remove the NSIS 2.33 related code which we no longer need to support.
Comment 1 User image Brian R. Bondy [:bbondy] 2012-09-17 07:33:53 PDT
Created attachment 661790 [details] [diff] [review]
Patch v1

There may be some other stuff that I don't know about. I grepped for "2.33" but from that I think this is the only thing that should be removed.
Comment 2 User image Brian R. Bondy [:bbondy] 2012-09-17 07:37:21 PDT
CC'ing aki and catlee for confirmation that we don't use NSIS 2.33 at all anymore.
Comment 3 User image Aki Sasaki [:aki] 2012-09-17 10:22:53 PDT
Afaik, the last remaining NSIS 2.33 jobs were the win32 l10n repacks, which are now using 2.46.
Comment 4 User image Brian R. Bondy [:bbondy] 2012-09-17 10:33:28 PDT
I guess we can land (once reviewed) and see if anyone screams :)
Comment 5 User image Robert Strong [:rstrong] (use needinfo to contact me) 2012-09-17 10:34:42 PDT
I'm fine with that... it can always be backed out.
Comment 6 User image Robert Strong [:rstrong] (use needinfo to contact me) 2012-09-17 10:37:31 PDT
Comment on attachment 661790 [details] [diff] [review]
Patch v1

The same should be true for the !ifndef CallArtificialFunction block. r=me with that... if there are more we can get them later
Comment 7 User image Brian R. Bondy [:bbondy] 2012-09-17 10:47:52 PDT
Created attachment 661843 [details] [diff] [review]
Patch v2

Rebased so it can land directly on m-c with no dependencies. Removed the extra block that rstrong mentioned.

Pushed to try and if that goes well I'll land on m-i.
Carrying forward r+.
Comment 8 User image Brian R. Bondy [:bbondy] 2012-09-21 07:08:13 PDT
http://hg.mozilla.org/mozilla-central/rev/568593839470
Comment 9 User image Brian R. Bondy [:bbondy] 2012-09-21 09:26:39 PDT
Comment on attachment 661843 [details] [diff] [review]
Patch v2

[Approval Request Comment]
(snip)
Dependency of win8, please see reasoning in Bug 791019 Comment 35
Comment 10 User image Brian R. Bondy [:bbondy] 2012-09-21 18:11:26 PDT
Comment on attachment 661843 [details] [diff] [review]
Patch v2

I'm going to do a rollup patch for the involved bugs for defaults handling on Windows 8 and ask for approval all at once in bug 791019.  If that lands on aurora and beta I'll update the tracking fields in this bug and post the changesets in this bug as well.

Note You need to log in before you can comment on or make changes to this bug.